<template>
  <div class="ClusterCard">
    <div class="cardHeader">
      <img v-if="info.type == 1" src="/images/hashrate/集群.png" alt="" />
      <img v-else src="/images/hashrate/equipment.png" alt="" />

      <div class="info">
        <div class="name">{{ info.name }}</div>
        <div class="id">{{ info.id }}</div>
        <div class="link" @click="showDetail">查看详情 ></div>
      </div>
    </div>

    <div class="cardFooter">
      <div class="hashrate">
        <div class="label">
          <img src="/images/hashrate/realTime2.png" alt="" />
          实时算力
        </div>
        <div class="data">
          <span>{{ info.info.realValidCount }}</span
          >路
        </div>
      </div>

      <div class="hashrate">
        <div class="label">
          <img src="/images/hashrate/polling.png" alt="" />
          轮询算力
        </div>
        <div class="data">
          <span>{{ info.info.pollChannelCount }}</span
          >路
        </div>
      </div>

      <div class="hashrate">
        <div class="label">
          <img src="/images/hashrate/static.png" alt="" />
          数据栈算力
        </div>
        <div class="data">
          <span>{{ info.info.stackChannelCount }}</span
          >路
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    info: {},
  },
  methods: {
    showDetail() {
      this.$emit("showDetail");
    },
  },
};
</script>

<style lang="less" scoped>
.ClusterCard {
  box-sizing: border-box;
  height: 273px;
  border: 1px solid #c0c5cc;
  border-radius: 5px;

  .cardHeader {
    display: flex;
    padding-bottom: 20px;
    border-bottom: 1px solid #e9ebee;

    img {
      margin-right: 20px;
      width: 180px;
      height: 128px;
    }

    .info {
      .name {
        margin-top: 20px;
        margin-bottom: 5px;
        font-size: 18px;
        font-weight: 700;
      }

      .id {
        color: #666666;
        font-size: 12px;
        font-weight: 700;
      }

      .link {
        margin-top: 22px;
        color: #0065ff;
        cursor: pointer;
      }
    }
  }

  .cardFooter {
    display: flex;

    .hashrate {
      flex: 1;
      text-align: center;
    }

    .label {
      img {
        margin-top: 30px;
        margin-bottom: 6px;
        width: 18px;
        height: 18px;
        vertical-align: -10px;
      }
    }
    .data {
      font-size: 12px;
      font-weight: 700;
      line-height: 22px;
      color: #666;

      span {
        font-size: 16px;
      }
    }
  }
}
</style>